PasswordHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class PasswordHandler

    java.lang.Object
      com.fenalco.entities.PasswordHandler

    public class PasswordHandler

extends java.lang.Object

Esta clase es la encargada de administrar toda la funcionalidad respectiva a la administración de las contraseñas que incluye verificación de contraseña, consulta de contraseña de usuario, y envío de contraseña en caso de olvido

Author:
  Mario Linares

Constructor Summary
`PasswordHandler()` Constructor por omisión de la clase PasswordHandler

Method Summary
`static java.lang.String` | `buildRandPasswd()` Este mètodo genera una contraseña aleatoria de 8 caracteres
`static boolean` | `existLogin(java.lang.String login)` Esta función verifica que un nombre de usuario no exista en la base de datos
`static java.lang.String` | `getPassword(java.lang.String login)` Este método estático retorna el password del usuario identificado con el login recibido como parámetro.
`static boolean` | `sendPassword(java.lang.String login)` Este método envía un mensaje de correo (email) a un usuario específicado por el parámetro login.
`static boolean` | `verifyPassword(java.lang.String login, java.lang.String password)` Este método estático permite verificar la validez de una contraseña asociada a un login específico.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordHandler

    public PasswordHandler()

  Constructor por omisión de la clase PasswordHandler

Method Detail

### verifyPassword

    public static boolean verifyPassword(java.lang.String login,
                                         java.lang.String password)

  Este método estático permite verificar la validez de una contraseña asociada a un login específico. Para tal efecto debe consultar en la base de datos (tabla usuario)a través del método `query` de la clase `SQLUtilities` la constraseña del login pasado como parámetro y luego comparar el resultado con el parámetro password y retornar un booleano como resultado de esta comparación

  Parameters:
    `login` - String que contiene el login del usuario
    `password` - String que contiene el password del usuario a ser verificado
  Returns:
    boolean que representa la validez de la contraseña y/o login

### getPassword

    public static java.lang.String getPassword(java.lang.String login)

  Este método estático retorna el password del usuario identificado con el login recibido como parámetro. Para tal efecto debe consultar en la base de datos (tabla usuario)a través del método `query` de la clase `SQLUtilities` la contraseña asociada con el login recibido como parámetro para luego retornarla como un String. En el hipotético caso de no existir dicho usuario en el sistema el string de respuesta será ERROR.

  Parameters:
    `login` - String que contiene el login del usuario
  Returns:
    String que contiene el password consultado

### existLogin

    public static boolean existLogin(java.lang.String login)

  Esta función verifica que un nombre de usuario no exista en la base de datos

### sendPassword

    public static boolean sendPassword(java.lang.String login)

  Este método envía un mensaje de correo (email) a un usuario específicado por el parámetro login. Para tal efecto debe consultar en la tabla usuario de la base de datos los campos email, nombre, apellido y password a través del método `query` de la clase `SQLUtilities` y luego enviar el mensaje con el método estático `sendMail` de la clase `MailBuilder`

  Parameters:
    `login` - String que contiene el login del usuario
  Returns:
    boolean que representa el exito de la construcción y envío del email

### buildRandPasswd

    public static java.lang.String buildRandPasswd()

  Este mètodo genera una contraseña aleatoria de 8 caracteres

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD